# entgeltatlas
Eine Datenbank zu Entgelten für Berufstätigkeiten in Deutschland durchsuchen. 

Die Authentifizierung funktioniert per OAuth 2 Client Credentials mit JWTs. Folgende Client-Credentials können dafür verwendet werden:

**ClientID:** a59294b2-8825-47d6-a6c0-1486f02cedb4

**ClientSecret:** a3c97fc5-6644-4ec5-8234-66098fc71cc4 

**Achtung**: Der generierte Token muss bei folgenden GET-requests an rest.arbeitsagentur.de/infosysbub/entgeltatlas/pc/v1/entgelte/[KldB-Schlüssel] im header als 'OAuthAccessToken' inkludiert werden. KldB meint in diesem Fall die Klassifikation der Berufe 2010 (vgl. rest.arbeitsagentur.de/infosysbub/dkz-rest/pc/v1/kldb2010). Beispielsweise repräsentiert der KldB-Schlüssel 84304 \"Berufe in der Hochschullehre und -forschung - hoch komplexe Tätigkeiten\" 


This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://github.com/AndreasFischer1985/entgeltatlas-api](https://github.com/AndreasFischer1985/entgeltatlas-api)

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[entgeltatlas]
```

### poetry install

```sh
poetry add deutschland -E entgeltatlas
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import entgeltatlas
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import entgeltatlas
from pprint import pprint
from deutschland.entgeltatlas.api import default_api
from deutschland.entgeltatlas.model.response import Response
# Defining the host is optional and defaults to https://rest.arbeitsagentur.de/infosysbub/entgeltatlas
# See configuration.py for a list of all supported configuration parameters.
configuration = entgeltatlas.Configuration(
    host = "https://rest.arbeitsagentur.de/infosysbub/entgeltatlas"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure OAuth2 access token for authorization: clientCredAuth
configuration = entgeltatlas.Configuration(
    host = "https://rest.arbeitsagentur.de/infosysbub/entgeltatlas"
)
configuration.access_token = 'YOUR_ACCESS_TOKEN'


# Enter a context with an instance of the API client
with entgeltatlas.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    l = 4 # int |  (optional)
    r = 1 # int | Region - 1=Deutschland; 2=Ostdeutschland; 3=Westdeutschland; 11=BaWü; 12=Bayern; 14=Berlin; 15=Brandenburg; 7=Bremen; 5=Hamburg; 9=Hessen; 16=Mecklenburg-Vorpommern; 6=Niedersachsen; 8=Nordrhein-Westfalen; 10=Rheinland-Pfalz; 13=Saarland; 17=Sachsen; 18=Sachsen-Anhalt; 4=Schleswig-Holstein; 19=Thüringen; 22=Dortmund; 20=Dresden; 21=Düsseldorf; 23=Essen; 24=Frankfurt am Main; 26=Hannover; 27=Köln; 28=Leipzig; 29=München; 25=Nürnberg; 30=Stuttgart (vgl. rest.arbeitsagentur.de/infosysbub/entgeltatlas/pc/v1/regionen). (optional)
    g = 1 # int | Geschlecht - 1=Gesamt, 2=Männer, 3=Frauen (vgl. rest.arbeitsagentur.de/infosysbub/entgeltatlas/pc/v1/geschlechter). (optional)
    a = 1 # int | Alter - 1=Gesamt; 2=unter 25; 3=25 bis unter 55; 4=ab 55 (vgl. rest.arbeitsagentur.de/infosysbub/entgeltatlas/pc/v1/alter). (optional)
    b = 1 # int | Branche - 1=Gesamt; 2=Land- und Forstwirtschaft, Fischerei; 3=produzierendes Gewerbe ohne Bau; 4=Baugewerbe; 5=Handel, Verkehr, Lagerei und Gastgewerbe; 6=Information und Kommunikation; 7=Finanz- und Verischerungsgewerbe; 8=Grundstücks- und Wohnungswesen; 9=Erbringung wirtschaftl. Dienstleistungen; 10=Öffentliche Verwaltung, schul-, Gesundheits-, Sozialwesen; 11=sonstige Dienstleistungen (vgl. rest.arbeitsagentur.de/infosysbub/entgeltatlas/pc/v1/branchen). (optional)

    try:
        # Entgeltatlas
        api_response = api_instance.entgeltatlas(l=l, r=r, g=g, a=a, b=b)
        pprint(api_response)
    except entgeltatlas.ApiException as e:
        print("Exception when calling DefaultApi->entgeltatlas: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://rest.arbeitsagentur.de/infosysbub/entgeltatlas*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**entgeltatlas**](docs/DefaultApi.md#entgeltatlas) | **GET** /pc/v1/entgelte/[KldB-Schlüssel] | Entgeltatlas


## Documentation For Models

 - [Response](docs/Response.md)


## Documentation For Authorization


## clientCredAuth

- **Type**: OAuth
- **Flow**: application
- **Authorization URL**: 
- **Scopes**: N/A


## Author

andreasfischer1985@web.de


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in entgeltatlas.apis and entgeltatlas.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.entgeltatlas.api.default_api import DefaultApi`
- `from deutschland.entgeltatlas.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import entgeltatlas
from deutschland.entgeltatlas.apis import *
from deutschland.entgeltatlas.models import *
```

