# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.entgeltatlas',
 'deutschland.entgeltatlas.api',
 'deutschland.entgeltatlas.apis',
 'deutschland.entgeltatlas.model',
 'deutschland.entgeltatlas.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-entgeltatlas',
    'version': '0.1.0',
    'description': 'Arbeitsagentur Entgeltatlas API',
    'long_description': '# entgeltatlas\nEine Datenbank zu Entgelten für Berufstätigkeiten in Deutschland durchsuchen. \n\nDie Authentifizierung funktioniert per OAuth 2 Client Credentials mit JWTs. Folgende Client-Credentials können dafür verwendet werden:\n\n**ClientID:** a59294b2-8825-47d6-a6c0-1486f02cedb4\n\n**ClientSecret:** a3c97fc5-6644-4ec5-8234-66098fc71cc4 \n\n**Achtung**: Der generierte Token muss bei folgenden GET-requests an rest.arbeitsagentur.de/infosysbub/entgeltatlas/pc/v1/entgelte/[KldB-Schlüssel] im header als \'OAuthAccessToken\' inkludiert werden. KldB meint in diesem Fall die Klassifikation der Berufe 2010 (vgl. rest.arbeitsagentur.de/infosysbub/dkz-rest/pc/v1/kldb2010). Beispielsweise repräsentiert der KldB-Schlüssel 84304 \\"Berufe in der Hochschullehre und -forschung - hoch komplexe Tätigkeiten\\" \n\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\nFor more information, please visit [https://github.com/AndreasFischer1985/entgeltatlas-api](https://github.com/AndreasFischer1985/entgeltatlas-api)\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[entgeltatlas]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E entgeltatlas\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import entgeltatlas\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import entgeltatlas\nfrom pprint import pprint\nfrom deutschland.entgeltatlas.api import default_api\nfrom deutschland.entgeltatlas.model.response import Response\n# Defining the host is optional and defaults to https://rest.arbeitsagentur.de/infosysbub/entgeltatlas\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = entgeltatlas.Configuration(\n    host = "https://rest.arbeitsagentur.de/infosysbub/entgeltatlas"\n)\n\n# The client must configure the authentication and authorization parameters\n# in accordance with the API server security policy.\n# Examples for each auth method are provided below, use the example that\n# satisfies your auth use case.\n\n# Configure OAuth2 access token for authorization: clientCredAuth\nconfiguration = entgeltatlas.Configuration(\n    host = "https://rest.arbeitsagentur.de/infosysbub/entgeltatlas"\n)\nconfiguration.access_token = \'YOUR_ACCESS_TOKEN\'\n\n\n# Enter a context with an instance of the API client\nwith entgeltatlas.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    l = 4 # int |  (optional)\n    r = 1 # int | Region - 1=Deutschland; 2=Ostdeutschland; 3=Westdeutschland; 11=BaWü; 12=Bayern; 14=Berlin; 15=Brandenburg; 7=Bremen; 5=Hamburg; 9=Hessen; 16=Mecklenburg-Vorpommern; 6=Niedersachsen; 8=Nordrhein-Westfalen; 10=Rheinland-Pfalz; 13=Saarland; 17=Sachsen; 18=Sachsen-Anhalt; 4=Schleswig-Holstein; 19=Thüringen; 22=Dortmund; 20=Dresden; 21=Düsseldorf; 23=Essen; 24=Frankfurt am Main; 26=Hannover; 27=Köln; 28=Leipzig; 29=München; 25=Nürnberg; 30=Stuttgart (vgl. rest.arbeitsagentur.de/infosysbub/entgeltatlas/pc/v1/regionen). (optional)\n    g = 1 # int | Geschlecht - 1=Gesamt, 2=Männer, 3=Frauen (vgl. rest.arbeitsagentur.de/infosysbub/entgeltatlas/pc/v1/geschlechter). (optional)\n    a = 1 # int | Alter - 1=Gesamt; 2=unter 25; 3=25 bis unter 55; 4=ab 55 (vgl. rest.arbeitsagentur.de/infosysbub/entgeltatlas/pc/v1/alter). (optional)\n    b = 1 # int | Branche - 1=Gesamt; 2=Land- und Forstwirtschaft, Fischerei; 3=produzierendes Gewerbe ohne Bau; 4=Baugewerbe; 5=Handel, Verkehr, Lagerei und Gastgewerbe; 6=Information und Kommunikation; 7=Finanz- und Verischerungsgewerbe; 8=Grundstücks- und Wohnungswesen; 9=Erbringung wirtschaftl. Dienstleistungen; 10=Öffentliche Verwaltung, schul-, Gesundheits-, Sozialwesen; 11=sonstige Dienstleistungen (vgl. rest.arbeitsagentur.de/infosysbub/entgeltatlas/pc/v1/branchen). (optional)\n\n    try:\n        # Entgeltatlas\n        api_response = api_instance.entgeltatlas(l=l, r=r, g=g, a=a, b=b)\n        pprint(api_response)\n    except entgeltatlas.ApiException as e:\n        print("Exception when calling DefaultApi->entgeltatlas: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://rest.arbeitsagentur.de/infosysbub/entgeltatlas*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**entgeltatlas**](docs/DefaultApi.md#entgeltatlas) | **GET** /pc/v1/entgelte/[KldB-Schlüssel] | Entgeltatlas\n\n\n## Documentation For Models\n\n - [Response](docs/Response.md)\n\n\n## Documentation For Authorization\n\n\n## clientCredAuth\n\n- **Type**: OAuth\n- **Flow**: application\n- **Authorization URL**: \n- **Scopes**: N/A\n\n\n## Author\n\nandreasfischer1985@web.de\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in entgeltatlas.apis and entgeltatlas.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.entgeltatlas.api.default_api import DefaultApi`\n- `from deutschland.entgeltatlas.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import entgeltatlas\nfrom deutschland.entgeltatlas.apis import *\nfrom deutschland.entgeltatlas.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/entgeltatlas-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
